<?php
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
# Or, point your browser to http://www.gnu.org/copyleft/gpl.html
#
#======================================================
#  DESCRIPTION:  OScam Info for oscam 1.0+
# REQUIREMENTS:  php, webserver + curl/mod_curl
# REQUIREMENTS:  channel picons update need OSCam 1.20 #6645 or higher
#       AUTHOR:  paramite
#      CREATED:  16.08.2011 22:32:11
#      CHANGES:  11.05.2012
#======================================================

$VERSION = "1.7.4";

require("class.admin.php");

$admin = new admin();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>OScamInfoPHP Admin <?php echo $VERSION;?></title>
<link rel="stylesheet" type="text/css" href="../themes/<?php echo OSCAM_STYLE;?>/easyui.css">
<link rel="stylesheet" type="text/css" href="../themes/icon.css">
<link rel="stylesheet" type="text/css" href="../themes/style.css">
<link rel="icon" href="../favicon.ico" type="image/x-icon">
<link rel="shortcut icon" href="../favicon.ico" type="image/x-icon"> 
<style type="text/css">
 #content{
         width:<?php echo floor($admin->sizeFaktor*775);?>px;
         margin-left:-<?php echo floor($admin->sizeFaktor*775/2)+16;?>px;
 }

 #fm{
	margin:0;
	padding:10px 10px;
	}
 
 .ftitle{
	font-size:14px;
	font-weight:bold;
	color:#666;
	padding:5px 0;
	margin-bottom:10px;
	border-bottom:1px solid #ccc;
	}
 
 .fitem{
	margin-bottom:5px;
	}

 .fitem label{
	display:inline-block;
	width:190px;
	}

</style>

<script type="text/javascript" src="../js/jquery-1.6.min.js"></script>
<script type="text/javascript" src="../js/jquery.easyui.min.js"></script>
<script type="text/javascript" src="../js/datagrid-detailview.js"></script>
<script type="text/javascript" src="../js/action.js"></script>

<script type="text/javascript" src="../lang/easyui-lang-<?php echo LANGUAGE;?>.js"></script>
<script type="text/javascript">

var configServers = {
    dataGrid: 'dgc',
    editWindow: 'dlg',
    editForm: 'fm',
    backendType: 'oscam',
    backendRow: 'servername',
    comboBox: 'fmsb',
    comboBoxSelect: 'false',
    titleNew: '<?php echo LNG_ADM_NEW_SERVER;?>',
    titleEdit: '<?php echo LNG_ADM_EDIT_SERVER;?>',
    titleDelete: '<?php echo ADM_CONFIRM;?>',
    messageDelete: '<?php echo ADM_REALLY_DELETE;?>'
    };
    
var configUsers = {
    dataGrid: 'dgl',
    editWindow: 'dlgu',
    editForm: 'fmu',
    backendType: 'user',
    backendRow: 'loginname',
    comboBox: 'fmtabs',
    comboBoxSelect: 'clients',
    titleNew: '<?php echo LNG_ADM_NEW_USER;?>',
    titleEdit: '<?php echo LNG_ADM_EDIT_USER;?>',
    titleDelete: '<?php echo ADM_CONFIRM;?>',
    messageDelete: '<?php echo ADM_REALLY_DELETE_USER;?>'
    };    
    
var sortMessages = {
    asc: '<?php echo LNG_ADM_SORTABLE_ASC;?>',
    desc: '<?php echo LNG_ADM_SORTABLE_DESC;?>',
    identname: '<?php echo LNG_CLIENT.'/'.LNG_READER;?>',            
    country: '<?php echo LNG_CTY;?>',
    protocol: '<?php echo LNG_PROTOCOL;?>',
    request: '<?php echo LNG_LAST_USED_SHARE;?>',
    ecmtime: '<?php echo LNG_ECM;?>',
    loggedin: '<?php echo LNG_LOGGED_IN;?>',
    lastactivity: '<?php echo LNG_LAST_ACTIVITY;?>',
    connection: '<?php echo LNG_CONNECTION;?>'
    };
        

var url;
$(function(){
	  $('#co').tabs({  
	      tools:[{
	            text:'logout',
	            iconCls:'icon-cancel',
	    	            handler: function(){
	    		   	     self.location.href="index.php?logoff";
	    			     }
	    	   }] 
    	      });
    	 $('#dieServer').combobox({  
                         onSelect:function(){setServers();}  
                       })
         });
         
function formatSsl(val,row){
	 if (String(val) == "true"){
	     return '<?php echo ADM_YES;?>';
	 } 
	 else {
	     return '<?php echo ADM_NO;?>';
   	 }
 }   
 
function cryptPw(val,row){
         var fLetter = String(val).charAt(0);
         var lLetter = String(val).charAt((String(val).length)-1);
         return fLetter+"***"+lLetter;
         }
function showSort(val,row){
         if(String(val)=="")return "";
         dasVal = String(val).split("_");
         return eval('sortMessages.'+dasVal[1])+": "+eval('sortMessages.'+dasVal[0]);
         }
		
function newAction(typ){
 	 $('#'+typ.editWindow).dialog('open').dialog('setTitle',typ.titleNew);
	 $('#'+typ.editForm).form('clear');
	 $('#'+typ.comboBox).combobox('select',typ.comboBoxSelect);
	 url = 'ajax.php?type=write&data='+typ.backendType;
} 

function numOrdA(a, b){return(a-b);}

function newDefault(){
         vals = document.getElementById("fmug").entries_per_page.value
         if(vals.indexOf(",")>-1){
            entries = vals.split(",");
            }
         else{
            entries = new Array(vals);
            }
         entries.sort(numOrdA);
         document.getElementById("fmug").entries_per_page.value = entries.join(",");

         $('#eppd').combobox({  
             url:'ajax.php?type=perpage&values='+vals,  
             valueField:'id',  
             textField:'text'  
             });
         }

function restartAction(){
	 var row = $('#dgc').datagrid('getSelected');
	 if(row != null){
  	    $('#dlgr').dialog('open').dialog('setTitle',row.servername+'<?php echo LNG_ADM_RESTART_SERVER_RUN;?>');
  	    var value = $('#restartbar').progressbar('getValue');
  	    $.get('ajax.php?type=restart&data='+row.servername);
	    if (value < 100){
		value += Math.floor(Math.random() * 3);
		$('#restartbar').progressbar('setValue', value);
		setTimeout(arguments.callee, 200);
		}
	    else{
	       $('#dlgr').dialog('close');
	       $('#restartbar').progressbar('setValue', 0);
	       $('#dgc').datagrid('reload');
	       }
  	    }
  	    
}   

function editAction(typ){
 	 var row = $('#'+typ.dataGrid).datagrid('getSelected');
 	 if(typ.backendType == "user"){
 	    $('#dieServer').combobox('select',row.oscam);
 	    $('#fmtabs').combobox('select',row.logintabs);
 	    $('#dieOnlyclients').combobox('select',row.onlyclients);
 	    $('#dieOnlyreaders').combobox('select',row.onlyreaders);
 	    $('#dieSortable').combotree('setValue',row.sort);
 	    }
 	    
 	 if (row){
		$('#'+typ.editWindow).dialog('open').dialog('setTitle',typ.titleEdit);
		$('#'+typ.editForm).form('load',row);
		url = 'ajax.php?type=write&data='+typ.backendType+'&server='+eval('row.'+typ.backendRow);
	 }
}  

function saveAction(typ){
 	 $('#'+typ.editForm).form('submit',{
	   	  url: url,
		  onSubmit: function(){
		   	    return $(this).form('validate');
			    },
  		  success: function(result){
		  	    var result = eval('('+result+')');
		  	    
			    if (result.success){
			    	$('#'+typ.editWindow).dialog('close');
				$('#dgc').datagrid('reload');
				$('#dgl').datagrid('reload');
				$('#dieServer').combobox('reload');
			        } 
			    else {
				$.messager.show({title: 'Error',msg: result.msg});
 				}
 			    }
	});
} 

function killAction(typ){
	var row = $('#'+typ.dataGrid).datagrid('getSelected');
	if (row){
		$.messager.confirm(typ.titleDelete,typ.messageDelete,function(r){
			if (r){
				$.post('ajax.php?type=write&data='+typ.backendType+'&server='+eval('row.'+typ.backendRow)+'&delete',{id:eval('row.'+typ.backendRow)},function(result){
					if (result.success){
						$('#dgc').datagrid('reload');
						$('#dgl').datagrid('reload');
						$('#dieServer').combobox('reload');
					} else {
						$.messager.show({
							title: 'Error',
							msg: result.msg
						});
					}
				},'json');
			}
		});
	}
}   

function setServers(){ 
	 var val = $("#dieServer").combobox('getValues');
	 $('#dieOnlyclients').combobox({
		  url:'ajax.php?type=boxes&data=protocols&servers='+val+'&types=user',
		  valueField:'id',
		  textField:'text'
		  });
	 $('#dieOnlyreaders').combobox({
		  url:'ajax.php?type=boxes&data=protocols&servers='+val+'&types=server',
		  valueField:'id',
		  textField:'text'
		  });		  
		  
	 }

function saveGlobal(){
         $.post("ajax.php?type=saveglobal",$('#fmug').serialize(), function(data) {
         	daten = data.split("|");
         	$.messager.alert(daten[1],daten[2],daten[0]);
            });
         }	 
	 
</script>
</head>
<body>
<?php if($admin->isAuthAdm()):?>
<div id="content" class="head"><div>OScamInfoPHP Admin Ver. <?php echo $VERSION;?> by <a href="mailto:paramite@gmx.net">paramite</a> || <a href="http://streamboard.gmc.to/wbb2/thread.php?threadid=32717" target="_blank">Streamboard support thread</a></div></div>
<div id="content">
<div style="width:<?php echo floor($admin->sizeFaktor*775);?>px;height:5px"></div>
<div id="co" class="easyui-tabs" style="width:<?php echo floor($admin->sizeFaktor*775);?>px;height:600px;">
    <div title="<?php echo LNG_ADM_GLOBAL;?>" iconCls="icon-settings">
     <div class="datagrid-toolbar">
      	<a href="#" class="easyui-linkbutton" iconCls="icon-save" plain="true" onclick="saveGlobal()"><?php echo ADM_SAVE;?></a>
     </div>
     	<form id="fmug" method="post" style="margin:5px">
	  <div class="fitem">
	   <label><?php echo ADM_TXT_ADM_USER;?>:</label>
           <input name="adm_user" class="easyui-validatebox" required="true" value="<?php echo ADM_USER;?>">
	  </div>
	  <div class="fitem">
	   <label><?php echo ADM_TXT_ADM_PASS;?>:</label>
           <input name="adm_pass" class="easyui-validatebox" required="true" type="password" value="<?php echo ADM_PASS;?>">	   
	  </div>
	  <div style="width:98%;height:1px;margin:5px;border-bottom:1px dotted #CCCCCC"></div>
 	  <div class="fitem">
	   <label><?php echo ADM_TXT_REFRESH_SECS;?>:</label>
	   <input name="refresh_secs" class="easyui-validatebox" style="width:50px;" required="true" value="<?php echo REFRESH_SECS;?>"><?php echo ADM_TXT_REFRESH_SECS_TIME;?>
	  </div>

 	  <div class="fitem">
	   <label><?php echo ADM_TXT_ENTRIES_PER_PAGE;?>:</label>
	   <input name="entries_per_page" class="easyui-validatebox" style="width:150px;" required="true" value="<?php echo ENTRIES_PER_PAGE;?>" onChange="newDefault()">
	  </div>

 	  <div class="fitem">
	   <label><?php echo ADM_TXT_PER_PAGE_DEFAULT;?>:</label>
	   <select class="easyui-combobox" id="eppd" name="entries_per_page_default" style="width:50px;" panelHeight="auto">
           <?php $admin->getPerPageSelects();?>
	   </select>
	  </div>

	  <div class="fitem">
	   <label><?php echo ADM_TXT_LANGUAGE;?>:</label>
	   <select class="easyui-combobox" name="language" required="true" style="width:150px;" panelHeight="auto">
           <?php $admin->getLanguagesSelects();?>
	   </select>
	  </div>
	  <div class="fitem">
	   <label><?php echo ADM_TXT_CUSTOM_NOTICE;?>:</label>
	   <input name="custom_notice" class="easyui-validatebox" style="width:450px;" value="<?php echo CUSTOM_NOTICE;?>">
	  </div>	  
  	  <div class="fitem"> 
	   <label><?php echo ADM_TXT_OSCAM_STYLE;?>:</label>
	   <select class="easyui-combobox" name="oscam_style" style="width:50px;" panelHeight="auto">
	     <option value="blue" <?php if(OSCAM_STYLE == "blue")echo "selected";?>>blue</option>
	     <option value="gray" <?php if(OSCAM_STYLE == "gray")echo "selected";?>>gray</option>
	     <option value="sunny" <?php if(OSCAM_STYLE == "sunny")echo "selected";?>>sunny</option>	     
	     <option value="ipc" <?php if(OSCAM_STYLE == "ipc")echo "selected";?>>ipc</option>	     
	   </select>
	  </div>
	  <div class="fitem">
	   <label><?php echo ADM_TXT_SCREEN_SIZE;?>:</label>
	   <input name="screen_size" class="easyui-validatebox" required="true" style="width:50px" value="<?php echo SCREEN_SIZE;?>">px	   
	  </div>
  	  <div class="fitem"> 
	   <label><?php echo ADM_TXT_LOWER_THAN;?>:</label>
	   <input name="lower_than" class="easyui-validatebox" required="true" style="width:25px" value="<?php echo number_format(str_replace(",",".",LOWER_THAN),1,$admin->delimiter,"");?>">%
	  </div>	
  	  <div class="fitem"> 
	   <label><?php echo ADM_TXT_CHANNEL_PICONS;?>:</label>
	   <input name="channel_picons" class="easyui-validatebox" required="true" style="width:25px" value="<?php echo (defined("CHANNEL_PICONS"))?CHANNEL_PICONS:14;?>"><?php echo ADM_TXT_DAYS;?>
	  </div>	
	  <div style="width:98%;height:1px;margin:5px;border-bottom:1px dotted #CCCCCC"></div>	    	  
	  <div class="fitem">
	   <label><?php echo ADM_TXT_PROXY_URL;?>:</label>
	   <input name="proxy_url" class="easyui-validatebox" value="<?php echo PROXY_URL;?>">
	   <i><?php echo ADM_TXT_PROXY_URL_TXT;?></i>
	  </div>
	  <div class="fitem">
	   <label><?php echo ADM_TXT_PROXY_PORT;?>:</label>
	   <input name="proxy_port" class="easyui-validatebox" value="<?php echo PROXY_PORT;?>">
	   <i><?php echo ADM_TXT_PROXY_URL_TXT;?></i>	   
	  </div>
	  <div class="fitem">
	   <label><?php echo ADM_TXT_PROXY_USER;?>:</label>
	   <input name="proxy_user" class="easyui-validatebox" value="<?php echo PROXY_USER;?>">
	   <i><?php echo ADM_TXT_PROXY_PASS_TXT;?></i>		   
	  </div>
	  <div class="fitem">
	   <label><?php echo ADM_TXT_PROXY_PASS;?>:</label>
	   <input name="proxy_pass" class="easyui-validatebox" value="<?php echo PROXY_PASS;?>">
	   <i><?php echo ADM_TXT_PROXY_PASS_TXT;?></i>		   
	  </div>	  	  
        </form>
    </div>
    <div title="<?php echo LNG_ADM_SERVER;?>" iconCls="icon-smartcard">
    <table id="dgc" class="easyui-datagrid" style="width:<?php echo floor($admin->sizeFaktor*751);?>px;font-size:30px"
	    url="ajax.php?type=read&data=oscam"
	    rownumbers="false"
  	    fit="true" 
            border="false"
            singleSelect="true"
            pageSize="30"
	    pagination="true"
	    toolbar="#toolbarServers">
	<thead>
	    <tr>
	        <th field="servername" width="<?php echo floor($admin->sizeFaktor*125);?>" sortable="true"><?php echo LNG_ADM_SERVERNAME;?></th>
	        <th field="serverurl" width="<?php echo floor($admin->sizeFaktor*125);?>" sortable="true"><?php echo LNG_ADM_SERVERURL;?></th>
	        <th field="serverport" width="<?php echo floor($admin->sizeFaktor*125);?>" sortable="true"><?php echo LNG_ADM_SERVERPORT;?></th>
	        <th field="serveruser" width="<?php echo floor($admin->sizeFaktor*125);?>" sortable="true"><?php echo LNG_ADM_SERVERUSER;?></th>
	        <th field="serverpass" width="<?php echo floor($admin->sizeFaktor*125);?>" sortable="true" formatter="cryptPw"><?php echo LNG_ADM_SERVERPASS;?></th>	        
	        <th field="serverssl" width="<?php echo floor($admin->sizeFaktor*125);?>" sortable="true" formatter="formatSsl"><?php echo LNG_ADM_SERVERSSL;?></th>
	    </tr>
	</thead>
    </table>
    <div id="toolbarServers">
 	<a href="#" class="easyui-linkbutton" iconCls="icon-add" plain="true" onclick="newAction(configServers)"><?php echo LNG_ADM_NEW_SERVER;?></a>
        <a href="#" class="easyui-linkbutton" iconCls="icon-edit" plain="true" onclick="editAction(configServers)"><?php echo LNG_ADM_EDIT_SERVER;?></a> 	<a href="#" class="easyui-linkbutton" iconCls="icon-remove" plain="true" onclick="killAction(configServers)"><?php echo LNG_ADM_KILL_SERVER;?></a>
        <a href="#" class="easyui-linkbutton" iconCls="icon-reload" plain="true" onclick="restartAction()"><?php echo LNG_ADM_RESTART_SERVER;?></a>
    </div>   
    <div id="dlg" title="<?php echo LNG_ADM_NEW_SERVER;?>" class="easyui-dialog" style="overflow:hidden;width:450px;height:280px;padding:10px 20px" closed="true" buttons="#dlg-buttons">
	<form id="fm" method="post">
 	  <div class="fitem">
	   <label><?php echo LNG_ADM_SERVERNAME;?>:</label>
	   <input name="servername" class="easyui-validatebox" required="true">
	  </div>
	  <div class="fitem">
	   <label><?php echo LNG_ADM_SERVERURL;?>:</label>
	   <input name="serverurl" class="easyui-validatebox" required="true">
	  </div>
  	  <div class="fitem">
	   <label><?php echo LNG_ADM_SERVERPORT;?>:</label>
	   <input name="serverport" class="easyui-validatebox" required="true">
	  </div>
	  <div class="fitem">
	   <label><?php echo LNG_ADM_SERVERUSER;?>:</label>
	   <input name="serveruser" class="easyui-validatebox" required="true">
	  </div>
	  <div class="fitem">
	   <label><?php echo LNG_ADM_SERVERPASS;?>:</label>
	   <input name="serverpass" class="easyui-validatebox" required="true">
	  </div>
	  <div class="fitem">
	   <label><?php echo LNG_ADM_SERVERSSL;?>:</label>
	   <select id="fmsb" class="easyui-combobox" name="serverssl" style="width:100px;" panelHeight="auto">
	     <option value="false"><?php echo ADM_NO;?></option>
	     <option value="true"><?php echo ADM_YES;?></option>
	   </select>
	  </div>	  	  
        </form>
	</div>    
	<div id="dlg-buttons" style="margin-top:-10px">
	 <a href="#" class="easyui-linkbutton" iconCls="icon-ok" onclick="saveAction(configServers)"><?php echo ADM_SAVE;?></a>
	 <a href="#" class="easyui-linkbutton" iconCls="icon-cancel" onclick="javascript:$('#dlg').dialog('close')"><?php echo ADM_CANCEL;?></a>
	</div>	 
	  <div id="dlgr" title="<?php echo LNG_ADM_RESTART_SERVER;?>" class="easyui-dialog" style="overflow:hidden;width:255px;height:75px;padding:10px 20px" closed="true">
    <div id="restartbar" class="easyui-progressbar" style="width:200px;"></div>
  </div>
  </div>
  <div title="<?php echo LNG_ADM_CLIENT;?>" iconCls="icon-clients">
    <table id="dgl" class="easyui-datagrid" style="width:<?php echo floor($admin->sizeFaktor*751);?>px;font-size:30px"
	    url="ajax.php?type=read&data=user"
	    rownumbers="false"
  	    fit="true" 
            border="false"
            singleSelect="true"
            pageSize="30"
	    pagination="true"
	    toolbar="#toolbarUsers">
	<thead>
	    <tr>
	        <th field="loginname" width="<?php echo floor($admin->sizeFaktor*65);?>" sortable="true"><?php echo LNG_ADM_LOGINNAME;?></th>
	        <th field="loginpass" width="<?php echo floor($admin->sizeFaktor*65);?>" sortable="true" formatter="cryptPw"><?php echo LNG_ADM_LOGINPASS;?></th>
	        <th field="logintabs" width="<?php echo floor($admin->sizeFaktor*100);?>" sortable="true"><?php echo LNG_ADM_LOGINTABS;?></th>
	        <th field="onlyclients" width="<?php echo floor($admin->sizeFaktor*160);?>" sortable="true"><?php echo LNG_ADM_ONLYCLIENTS;?></th>
	        <th field="onlyreaders" width="<?php echo floor($admin->sizeFaktor*160);?>" sortable="true"><?php echo LNG_ADM_ONLYREADERS;?></th>	 
	        <th field="oscam" width="<?php echo floor($admin->sizeFaktor*100);?>" sortable="true"><?php echo LNG_ADM_OSCAM;?></th>
	        <th field="sort" width="<?php echo floor($admin->sizeFaktor*100);?>" sortable="true" formatter="showSort"><?php echo LNG_ADM_SORTABLE;?></th>
	    </tr>
	</thead>
    </table>
    <div id="toolbarUsers">
 	<a href="#" class="easyui-linkbutton" iconCls="icon-add" plain="true" onclick="newAction(configUsers)"><?php echo LNG_ADM_NEW_USER;?></a>
        <a href="#" class="easyui-linkbutton" iconCls="icon-edit" plain="true" onclick="editAction(configUsers)"><?php echo LNG_ADM_EDIT_USER;?></a> 	
	<a href="#" class="easyui-linkbutton" iconCls="icon-remove" plain="true" onclick="killAction(configUsers)"><?php echo LNG_ADM_KILL_USER;?></a>
    </div>     
    <div id="dlgu" title="<?php echo LNG_ADM_NEW_USER;?>" class="easyui-dialog" style="width:475px;height:280px;padding:10px 20px" closed="true" buttons="#dlgu-buttons">
	<form id="fmu" method="post">
 	  <div class="fitem">
	   <label><?php echo LNG_ADM_LOGINNAME;?>:</label>
	   <input name="loginname" class="easyui-validatebox" required="true">
	  </div>
	  <div class="fitem">
	   <label><?php echo LNG_ADM_LOGINPASS;?>:</label>
	   <input name="loginpass" class="easyui-validatebox" required="true">
	  </div>
  	  <div class="fitem"> 
	   <label><?php echo LNG_ADM_LOGINTABS;?>:</label>
	   <select id="fmtabs" class="easyui-combobox" name="logintabs[]" style="width:200px;" panelHeight="auto" multiple="true">
	     <option value="clients"><?php echo LNG_OSCAMCLIENTS;?></option>
	     <option value="readers"><?php echo LNG_OSCAMREADER;?></option>
	     <option value="pairs"><?php echo LNG_OSCAMPAIRS;?></option>
	     <option value="log"><?php echo LNG_OSCAMLOG;?></option>	     	     
	   </select>
	  </div>
	  <div class="fitem">
	   <label><?php echo LNG_ADM_OSCAM;?>:</label>
	   <input class="easyui-combobox" 
	                id="dieServer"
			name="oscam[]"
			url="ajax.php?type=boxes&data=oscam" 
			valueField="servername" 
			textField="servername" 
			multiple="true" 
			required="true"
			style="width:200px;"
			panelHeight="auto">
	  </div>	  	  
	  <div class="fitem">
	   <label><?php echo LNG_ADM_ONLYCLIENTS;?>:</label>
	   <input class="easyui-combobox" 
	                id="dieOnlyclients"
			name="onlyclients[]"
			multiple="true" 
			style="width:225px;"
			panelHeight="300px">
	  </div>
	  <div class="fitem">
	   <label><?php echo LNG_ADM_ONLYREADERS;?>:</label>
	   <input class="easyui-combobox" 
	                id="dieOnlyreaders"
			name="onlyreaders[]"
			multiple="true" 
			style="width:225px;"
			panelHeight="310px">
	  </div>
  	  <div class="fitem"> 
	   <label><?php echo LNG_ADM_SORTABLE;?>:</label>
           <input id="dieSortable" editable="true" name="sortable" class="easyui-combotree" url="ajax.php?type=sortable" required="false" style="width:225px;">
	  </div>	  
        </form>
	</div>    
	<div id="dlgu-buttons" style="margin-top:-20px">
	 <a href="#" class="easyui-linkbutton" iconCls="icon-ok" onclick="saveAction(configUsers)"><?php echo ADM_SAVE;?></a>
	 <a href="#" class="easyui-linkbutton" iconCls="icon-cancel" onclick="$('#'+configUsers.editForm).form('clear');javascript:$('#dlgu').dialog('close')"><?php echo ADM_CANCEL;?></a>
	</div>	 
  </div>
 </div>
</div>
<?php else:?>
<SCRIPT TYPE="text/javascript">
<!--
    function submitenter(myfield,e){
	     var keycode;
	     if (window.event){
	         keycode = window.event.keyCode;
	         }
	     else if (e){
	         keycode = e.which;
	         }
	     else{
	         return true;
	         }

	     if (keycode == 13){
                 myfield.submit();
                 return false;
                 }
             else{
                 return true;
                 }
            }
//-->
</SCRIPT>
<div id="w" 
     class="easyui-window" 
     title="<?php echo $admin->errortext;?>" 
     resizable="false" 
     maximizable="false"
     minimizable="false"
     collapsible="false"
     closable="false"
     style="width:300px;height:150px;padding:5px;overflow:hidden">
    <div title="OScamInfoPHP" alt="OScamInfoPHP" onClick="self.location='../'" style="width:16px;height:16px;top:6px;left:270px;position:absolute;cursor:pointer" class="icon-oip"></div>
    <div class="easyui-layout" fit="true">
    <div region="center" border="false" style="padding:10px;background:#fff;border:1px solid #ccc;overflow:hidden">
    <form id="ff" action="index.php" method="post" style="overflow:hidden" onKeyPress="return submitenter(this,event)">
     <table>
      <tr>
       <td style="color:#15428b"><?php echo ADM_LOGIN_USER;?>:</td>
       <td><input name="user" type="text" style="width:140px"></input></td>
      </tr>
      <tr>
       <td style="color:#15428b"><?php echo ADM_LOGIN_PASS;?>:</td>
       <td><input name="pass" type="password" style="width:140px"></input></td>
      </tr>
    </table>
    <input name="fullscreen" type="hidden">
    <script>
    document.getElementById('ff').fullscreen.value=screen.width-30;
    </script>
    </form>

    </div>
    <div region="south" border="false" style="text-align:right;height:30px;margin-top:5px">
        <a class="easyui-linkbutton" iconCls="icon-ok" href="javascript:void(0)" onclick="document.getElementById('ff').submit()">Ok</a>
    </div>
</div>
<?php endif;?>
</body>
</html>